<ion-app>
  <app-header title="My Progress"></app-header>
  <ion-content>
    <ng-container *ngIf="dispatchView; else dataAwaitedBlk">
      <ng-container *ngIf="isPackageSubscribed; else isPackageNotSubscribedBlk">
        <div class="e-card2 e-card2--shadow eh-maxw-1200 eh-h-100p eh-mx-auto">
          <div class="eh-ofy-auto eh-hide-scrollbars">
            <!-- <ion-grid>
          <ion-row>
            <ion-segment [(ngModel)]="segment" value="food" scrollable="true" class="eh-p-0">
              <ion-col col-2>
                <ion-segment-button value="food" class="segment-button segment-activated">
                  <ion-label class="eh-txt-16 eh-txt-capital">food</ion-label>
                </ion-segment-button>
              </ion-col>
              <ion-col col-2>
                <ion-segment-button value="weight">
                  <ion-label class="eh-txt-16 eh-txt-capital">Weight
                  </ion-label>
                </ion-segment-button>
              </ion-col>
              <ion-col col-2>
                <ion-segment-button value="measurement">
                  <ion-label class="eh-txt-16 eh-txt-capital">Measurement
                  </ion-label>
                </ion-segment-button>
              </ion-col>
              <ion-col col-2>
                <ion-segment-button value="feedback">
                  <ion-label class="eh-txt-16 eh-txt-capital">Feedback
                  </ion-label>
                </ion-segment-button>
              </ion-col>
              <ion-col col-2>
                <ion-segment-button value="photo">
                  <ion-label class="eh-txt-16 eh-txt-capital">Photo
                  </ion-label>
                </ion-segment-button>
              </ion-col>
            </ion-segment>
          </ion-row>
        </ion-grid> -->
            <!-- </div>
        </div> -->


            <mat-tab-group class="e-mat-tab-group e-mat-tab-group--1 e-mat-tab-group--bottom-border-none eh-h-100p"
              animationDuration="0ms" [selectedIndex]="1" [disableRipple]="true">
              <mat-tab label="Daily Food">
                <ng-template matTabContent>
                  <div class="eh-p-16">
                    <app-progress-food></app-progress-food>
                  </div>
                </ng-template>
              </mat-tab>
              <mat-tab label="Daily Weight Log">
                <ng-template matTabContent>
                  <div class="eh-p-16">
                    <app-progress-weight></app-progress-weight>
                  </div>
                </ng-template>
              </mat-tab>
              <mat-tab label="Weekly Measurement Log">
                <ng-template matTabContent>
                  <div class="eh-p-16">
                    <app-progress-measurement></app-progress-measurement>
                  </div>
                </ng-template>
              </mat-tab>
              <mat-tab label="General Feedback">
                <ng-template matTabContent>
                  <div class="eh-p-16">
                    <app-progress-feedback></app-progress-feedback>
                  </div>
                </ng-template>
              </mat-tab>
              <mat-tab label="Photo Log">
                <ng-template matTabContent>
                  <div class="eh-p-16">
                    <app-progress-photo></app-progress-photo>
                  </div>
                </ng-template>
              </mat-tab>
            </mat-tab-group>
          </div>
        </div>
      </ng-container>
      <!-- <mat-tab label="Daily Food & Activity Diary">
                <div class="eh-p-16">
                  <div fxLayout="row" fxLayoutAlign="start center">
                    <app-button-icon-title [title]="'Add'" [buttonStyle]="'e-txt e-txt--eblue700'" [icon]="'note_add'"
                      [iconStyle]="'e-mat-icon--2'" (onButtonClick)="picker.open()"></app-button-icon-title>

                    <mat-form-field class="e-mat-form-field" appearance="none">
                      <input matInput [matDatepicker]="picker" [max]="maxDate" [hidden]="true"
                        (dateInput)="onDailyDateSelection($event)">
                      <mat-datepicker #picker></mat-datepicker>
                    </mat-form-field>
                  </div>

                  <mat-accordion class="e-mat-accordion" multi>
                    <div *ngFor="let log of foodLogs; first as isFirst" [ngClass]="{'eh-mt-8': !isFirst}">
                      <app-food-log [foodLog]="log"></app-food-log>
                    </div>
                  </mat-accordion>
                </div>
              </mat-tab>

              <mat-tab label="Daily Weight Log">
                <div class="eh-p-16">
                  <app-weight-log></app-weight-log>
                </div>
              </mat-tab>

              <mat-tab label="Weekly Measurement Log">
                <div class="eh-p-16">
                  <app-measumement-log></app-measumement-log>
                </div>
              </mat-tab>

              <mat-tab label="General Feedback">
                <div class="eh-p-16">
                  <div fxLayout="row" fxLayoutAlign="start center">
                    <app-button-icon-title [title]="'Add'" [buttonStyle]="'e-txt e-txt--eblue700'" [icon]="'note_add'"
                      [iconStyle]="'e-mat-icon--2'" (onButtonClick)="picker2.open()"></app-button-icon-title>

                    <mat-form-field class="e-mat-form-field" appearance="none">
                      <input matInput [matDatepicker]="picker2" [max]="maxDate" [hidden]="true"
                        (dateInput)="onRecallDateSelection($event)">
                      <mat-datepicker #picker2></mat-datepicker>
                    </mat-form-field>
                  </div>

                  <mat-accordion class="e-mat-accordion" multi>
                    <div *ngFor="let log of recallLogs; first as isFirst" [ngClass]="{'eh-mt-8': !isFirst}">
                      <app-recall-log [recallLog]="log"></app-recall-log>
                    </div>
                  </mat-accordion>
                </div>
              </mat-tab>

              <mat-tab label="Photo Log">
                <div class="eh-p-16">
                  <div class="eh-xy-center">
                    <img class="eh-w-400" [src]="imgURL" alt="Photo Log Guide">
                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center">
                    <app-button-icon-title [title]="'Add'" [buttonStyle]="'e-txt e-txt--eblue700'" [icon]="'note_add'"
                      [iconStyle]="'e-mat-icon--2'" (onButtonClick)="picker3.open()"></app-button-icon-title>

                    <mat-form-field class="e-mat-form-field" appearance="none">
                      <input matInput [matDatepicker]="picker3" [max]="maxDate" [hidden]="true"
                        (dateInput)="onPhotoDateSelection($event)">
                      <mat-datepicker #picker3></mat-datepicker>
                    </mat-form-field>
                  </div>

                  <mat-accordion class="e-mat-accordion" multi>
                    <div *ngFor="let log of photoLogs; first as isFirst" [ngClass]="{'eh-mt-8': !isFirst}">
                      <app-photo-log [photoLog]="log"></app-photo-log>
                    </div>
                  </mat-accordion>
                </div>
              </mat-tab> -->
      <!-- </mat-tab-group> -->


      <!-- <ng-container [ngSwitch]="segment">
          <div *ngSwitchCase="'food'">
            <div class="eh-p-16">
              <app-progress-food></app-progress-food>
            </div>
          </div>
          <div *ngSwitchCase="'weight'">
            <div class="eh-p-16">
              <app-progress-weight></app-progress-weight>
            </div>
          </div>
          <div *ngSwitchCase="'measurement'">
            <div class="eh-p-16">
              <app-progress-measurement></app-progress-measurement>
            </div>
          </div>
          <div *ngSwitchCase="'feedback'">
            <div class="eh-p-16">
              <app-progress-feedback></app-progress-feedback>
            </div>
          </div>
          <div *ngSwitchCase="'photo'">
            <div class="eh-p-16">
              <app-progress-photo></app-progress-photo>
            </div>
          </div>
        </ng-container>
      </ng-container> -->

      <ng-template #isPackageNotSubscribedBlk>
        <div class="eh-h-100p" fxLayout="column" fxLayoutAlign="center center">
          <span class="e-txt e-txt--placeholder">This is a PRO-member area.</span>
          <span class="e-txt e-txt--placeholder">Please subscribe to a package to access this section.</span>
          <button *ngIf="!me.flags.isOrientationScheduled" mat-stroked-button
            class="e-mat-button e-mat-button--eblue400 eh-mt-8" (click)="showDialog()">
            Resume On-boarding
          </button>
        </div>
      </ng-template>
    </ng-container>

    <ng-template #dataAwaitedBlk>
      <div class="e-spinner e-spinner--center eh-h-100v eh-h-100p">
        <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
      </div>
    </ng-template>

  </ion-content>
  <!-- <app-tabs></app-tabs> -->
</ion-app>